;;; dbk-el-az.el --- Alphabetical list of DocBook elements

(defvar docbook-menu-elements-alphabetical
  (list "DocBook: Element Reference (Alphabetical)"
	(list "A"
	      ["abbrev - An abbreviation, especially one followed by a period"
	       (browse-url (concat docbook-menu-tdg-base-uri "/abbrev" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["abstract - A summary"
	       (browse-url (concat docbook-menu-tdg-base-uri "/abstract" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["accel - A graphical user interface (GUI) keyboard shortcut"
	       (browse-url (concat docbook-menu-tdg-base-uri "/accel" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["ackno - Acknowledgements in an Article"
	       (browse-url (concat docbook-menu-tdg-base-uri "/ackno" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["acronym - An often pronounceable word made from the initial (or selected) letters of a name or phrase"
	       (browse-url (concat docbook-menu-tdg-base-uri "/acronym" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["action - A response to a user event"
	       (browse-url (concat docbook-menu-tdg-base-uri "/action" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["address - A real-world address, generally a postal address"
	       (browse-url (concat docbook-menu-tdg-base-uri "/address" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["affiliation - The institutional affiliation of an individual"
	       (browse-url (concat docbook-menu-tdg-base-uri "/affiliation" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["alt - Text representation for a graphical element"
	       (browse-url (concat docbook-menu-tdg-base-uri "/alt" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["anchor - A spot in the document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/anchor" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["answer - An answer to a question posed in a QandASet"
	       (browse-url (concat docbook-menu-tdg-base-uri "/answer" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["appendix - An appendix in a Book or Article"
	       (browse-url (concat docbook-menu-tdg-base-uri "/appendix" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["appendixinfo - Meta-information for an Appendix"
	       (browse-url (concat docbook-menu-tdg-base-uri "/appendixinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["application - The name of a software program"
	       (browse-url (concat docbook-menu-tdg-base-uri "/application" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["area - A region defined for a Callout in a graphic or code example"
	       (browse-url (concat docbook-menu-tdg-base-uri "/area" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["areaset - A set of related areas in a graphic or code example"
	       (browse-url (concat docbook-menu-tdg-base-uri "/areaset" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["areaspec - A collection of regions in a graphic or code example"
	       (browse-url (concat docbook-menu-tdg-base-uri "/areaspec" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["arg - An argument in a CmdSynopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/arg" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["article - An article"
	       (browse-url (concat docbook-menu-tdg-base-uri "/article" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["articleinfo - Meta-information for an Article"
	       (browse-url (concat docbook-menu-tdg-base-uri "/articleinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["artpagenums - The page numbers of an article as published"
	       (browse-url (concat docbook-menu-tdg-base-uri "/artpagenums" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["attribution - The source of a block quote or epigraph"
	       (browse-url (concat docbook-menu-tdg-base-uri "/attribution" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["audiodata - Pointer to external audio data"
	       (browse-url (concat docbook-menu-tdg-base-uri "/audiodata" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["audioobject - A wrapper for audio data and its associated meta-information"
	       (browse-url (concat docbook-menu-tdg-base-uri "/audioobject" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["author - The name of an individual author"
	       (browse-url (concat docbook-menu-tdg-base-uri "/author" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["authorblurb - A short description or note about an author"
	       (browse-url (concat docbook-menu-tdg-base-uri "/authorblurb" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["authorgroup - Wrapper for author information when a document has multiple authors or collabarators"
	       (browse-url (concat docbook-menu-tdg-base-uri "/authorgroup" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["authorinitials - The initials or other short identifier for an author"
	       (browse-url (concat docbook-menu-tdg-base-uri "/authorinitials" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "B"
	      ["beginpage - The location of a page break in a print version of the document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/beginpage" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bibliocoverage - The spatial or temporal coverage of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bibliocoverage" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bibliodiv - A section of a Bibliography"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bibliodiv" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["biblioentry - An entry in a Bibliography"
	       (browse-url (concat docbook-menu-tdg-base-uri "/biblioentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bibliography - A bibliography"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bibliography" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bibliographyinfo - Meta-information for a Bibliography"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bibliographyinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["biblioid - An identifier for a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/biblioid" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bibliomisc - Untyped bibliographic information"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bibliomisc" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bibliomixed - An entry in a Bibliography"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bibliomixed" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bibliomset - A cooked container for related bibliographic information"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bibliomset" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bibliorelation - The relationship of a document to another"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bibliorelation" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["biblioset - A raw container for related bibliographic information"
	       (browse-url (concat docbook-menu-tdg-base-uri "/biblioset" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bibliosource - The source of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bibliosource" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["blockinfo - Meta-information for a block element"
	       (browse-url (concat docbook-menu-tdg-base-uri "/blockinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["blockquote - A quotation set off from the main text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/blockquote" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["book - A book"
	       (browse-url (concat docbook-menu-tdg-base-uri "/book" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bookinfo - Meta-information for a Book"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bookinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["bridgehead - A free-floating heading"
	       (browse-url (concat docbook-menu-tdg-base-uri "/bridgehead" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "C"
	      ["callout - A called out description of a marked Area"
	       (browse-url (concat docbook-menu-tdg-base-uri "/callout" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["calloutlist - A list of Callouts"
	       (browse-url (concat docbook-menu-tdg-base-uri "/calloutlist" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["caption - A caption"
	       (browse-url (concat docbook-menu-tdg-base-uri "/caption" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["caution - A note of caution"
	       (browse-url (concat docbook-menu-tdg-base-uri "/caution" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["chapter - A chapter, as of a book"
	       (browse-url (concat docbook-menu-tdg-base-uri "/chapter" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["chapterinfo - Meta-information for a Chapter"
	       (browse-url (concat docbook-menu-tdg-base-uri "/chapterinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["citation - An inline bibliographic reference to another published work"
	       (browse-url (concat docbook-menu-tdg-base-uri "/citation" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["citebiblioid - A citation of a bibliographic identifier"
	       (browse-url (concat docbook-menu-tdg-base-uri "/citebiblioid" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["citerefentry - A citation to a reference page"
	       (browse-url (concat docbook-menu-tdg-base-uri "/citerefentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["citetitle - The title of a cited work"
	       (browse-url (concat docbook-menu-tdg-base-uri "/citetitle" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["city - The name of a city in an address"
	       (browse-url (concat docbook-menu-tdg-base-uri "/city" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["classname - The name of a class, in the object-oriented programming sense"
	       (browse-url (concat docbook-menu-tdg-base-uri "/classname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["classsynopsis - The syntax summary for a class definition"
	       (browse-url (concat docbook-menu-tdg-base-uri "/classsynopsis" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["classsynopsisinfo - Information supplementing the contents of a ClassSynopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/classsynopsisinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["cmdsynopsis - A syntax summary for a software command"
	       (browse-url (concat docbook-menu-tdg-base-uri "/cmdsynopsis" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["co - The location of a callout embedded in text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/co" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["collab - Identifies a collaborator"
	       (browse-url (concat docbook-menu-tdg-base-uri "/collab" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["collabname - The name of a collaborator"
	       (browse-url (concat docbook-menu-tdg-base-uri "/collabname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["colophon - Text at the back of a book describing facts about its production"
	       (browse-url (concat docbook-menu-tdg-base-uri "/colophon" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["colspec - Specifications for a column in a table"
	       (browse-url (concat docbook-menu-tdg-base-uri "/colspec" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["command - The name of an executable program or other software command"
	       (browse-url (concat docbook-menu-tdg-base-uri "/command" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["computeroutput - Data, generally text, displayed or presented by a computer"
	       (browse-url (concat docbook-menu-tdg-base-uri "/computeroutput" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["confdates - The dates of a conference for which a document was written"
	       (browse-url (concat docbook-menu-tdg-base-uri "/confdates" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["confgroup - A wrapper for document meta-information about a conference"
	       (browse-url (concat docbook-menu-tdg-base-uri "/confgroup" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["confnum - An identifier, frequently numerical, associated with a conference for which a document was written"
	       (browse-url (concat docbook-menu-tdg-base-uri "/confnum" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["confsponsor - The sponsor of a conference for which a document was written"
	       (browse-url (concat docbook-menu-tdg-base-uri "/confsponsor" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["conftitle - The title of a conference for which a document was written"
	       (browse-url (concat docbook-menu-tdg-base-uri "/conftitle" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["constant - A programming or system constant"
	       (browse-url (concat docbook-menu-tdg-base-uri "/constant" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["constraint - A constraint in an EBNF production"
	       (browse-url (concat docbook-menu-tdg-base-uri "/constraint" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["constraintdef - The definition of a constraint in an EBNF production"
	       (browse-url (concat docbook-menu-tdg-base-uri "/constraintdef" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["constructorsynopsis - A syntax summary for a constructor"
	       (browse-url (concat docbook-menu-tdg-base-uri "/constructorsynopsis" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["contractnum - The contract number of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/contractnum" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["contractsponsor - The sponsor of a contract"
	       (browse-url (concat docbook-menu-tdg-base-uri "/contractsponsor" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["contrib - A summary of the contributions made to a document by a credited source"
	       (browse-url (concat docbook-menu-tdg-base-uri "/contrib" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["copyright - Copyright information about a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/copyright" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["coref - A cross reference to a co"
	       (browse-url (concat docbook-menu-tdg-base-uri "/coref" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["corpauthor - A corporate author, as opposed to an individual"
	       (browse-url (concat docbook-menu-tdg-base-uri "/corpauthor" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["corpname - The name of a corporation"
	       (browse-url (concat docbook-menu-tdg-base-uri "/corpname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["country - The name of a country"
	       (browse-url (concat docbook-menu-tdg-base-uri "/country" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "D"
	      ["database - The name of a database, or part of a database"
	       (browse-url (concat docbook-menu-tdg-base-uri "/database" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["date - The date of publication or revision of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/date" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["dedication - A wrapper for the dedication section of a book"
	       (browse-url (concat docbook-menu-tdg-base-uri "/dedication" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["destructorsynopsis - A syntax summary for a destructor"
	       (browse-url (concat docbook-menu-tdg-base-uri "/destructorsynopsis" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "E"
	      ["edition - The name or number of an edition of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/edition" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["editor - The name of the editor of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/editor" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["email - An email address"
	       (browse-url (concat docbook-menu-tdg-base-uri "/email" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["emphasis - Emphasized text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/emphasis" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["entry - A cell in a table"
	       (browse-url (concat docbook-menu-tdg-base-uri "/entry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["entrytbl - A subtable appearing in place of an Entry in a table"
	       (browse-url (concat docbook-menu-tdg-base-uri "/entrytbl" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["envar - A software environment variable"
	       (browse-url (concat docbook-menu-tdg-base-uri "/envar" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["epigraph - A short inscription at the beginning of a document or component"
	       (browse-url (concat docbook-menu-tdg-base-uri "/epigraph" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["equation - A displayed mathematical equation"
	       (browse-url (concat docbook-menu-tdg-base-uri "/equation" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["errorcode - An error code"
	       (browse-url (concat docbook-menu-tdg-base-uri "/errorcode" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["errorname - An error name"
	       (browse-url (concat docbook-menu-tdg-base-uri "/errorname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["errortext - An error message."
	       (browse-url (concat docbook-menu-tdg-base-uri "/errortext" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["errortype - The classification of an error message"
	       (browse-url (concat docbook-menu-tdg-base-uri "/errortype" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["example - A formal example, with a title"
	       (browse-url (concat docbook-menu-tdg-base-uri "/example" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["exceptionname - The name of an exception"
	       (browse-url (concat docbook-menu-tdg-base-uri "/exceptionname" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "F"
	      ["fax - A fax number"
	       (browse-url (concat docbook-menu-tdg-base-uri "/fax" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["fieldsynopsis - The name of a field in a class definition"
	       (browse-url (concat docbook-menu-tdg-base-uri "/fieldsynopsis" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["figure - A formal figure, generally an illustration, with a title"
	       (browse-url (concat docbook-menu-tdg-base-uri "/figure" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["filename - The name of a file"
	       (browse-url (concat docbook-menu-tdg-base-uri "/filename" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["firstname - The first name of a person"
	       (browse-url (concat docbook-menu-tdg-base-uri "/firstname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["firstterm - The first occurrence of a term"
	       (browse-url (concat docbook-menu-tdg-base-uri "/firstterm" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["footnote - A footnote"
	       (browse-url (concat docbook-menu-tdg-base-uri "/footnote" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["footnoteref - A cross reference to a footnote (a footnote mark)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/footnoteref" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["foreignphrase - A word or phrase in a language other than the primary language of the document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/foreignphrase" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["formalpara - A paragraph with a title"
	       (browse-url (concat docbook-menu-tdg-base-uri "/formalpara" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["funcdef - A function (subroutine) name and its return type"
	       (browse-url (concat docbook-menu-tdg-base-uri "/funcdef" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["funcparams - Parameters for a function referenced through a function pointer in a synopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/funcparams" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["funcprototype - The prototype of a function"
	       (browse-url (concat docbook-menu-tdg-base-uri "/funcprototype" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["funcsynopsis - The syntax summary for a function definition"
	       (browse-url (concat docbook-menu-tdg-base-uri "/funcsynopsis" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["funcsynopsisinfo - Information supplementing the FuncDefs of a FuncSynopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/funcsynopsisinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["function - The name of a function or subroutine, as in a programming language"
	       (browse-url (concat docbook-menu-tdg-base-uri "/function" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "G-H"
	      ["glossary - A glossary"
	       (browse-url (concat docbook-menu-tdg-base-uri "/glossary" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["glossaryinfo - Meta-information for a Glossary"
	       (browse-url (concat docbook-menu-tdg-base-uri "/glossaryinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["glossdef - A definition in a GlossEntry"
	       (browse-url (concat docbook-menu-tdg-base-uri "/glossdef" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["glossdiv - A division in a Glossary"
	       (browse-url (concat docbook-menu-tdg-base-uri "/glossdiv" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["glossentry - An entry in a Glossary or GlossList"
	       (browse-url (concat docbook-menu-tdg-base-uri "/glossentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["glosslist - A wrapper for a set of GlossEntrys"
	       (browse-url (concat docbook-menu-tdg-base-uri "/glosslist" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["glosssee - A cross-reference from one GlossEntry to another"
	       (browse-url (concat docbook-menu-tdg-base-uri "/glosssee" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["glossseealso - A cross-reference from one GlossEntry to another"
	       (browse-url (concat docbook-menu-tdg-base-uri "/glossseealso" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["glossterm - A glossary term"
	       (browse-url (concat docbook-menu-tdg-base-uri "/glossterm" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["graphic - A displayed graphical object (not an inline)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/graphic" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["graphicco - A graphic that contains callout areas"
	       (browse-url (concat docbook-menu-tdg-base-uri "/graphicco" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["group - A group of elements in a CmdSynopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/group" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["guibutton - The text on a button in a GUI"
	       (browse-url (concat docbook-menu-tdg-base-uri "/guibutton" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["guiicon - Graphic and/or text appearing as a icon in a GUI"
	       (browse-url (concat docbook-menu-tdg-base-uri "/guiicon" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["guilabel - The text of a label in a GUI"
	       (browse-url (concat docbook-menu-tdg-base-uri "/guilabel" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["guimenu - The name of a menu in a GUI"
	       (browse-url (concat docbook-menu-tdg-base-uri "/guimenu" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["guimenuitem - The name of a terminal menu item in a GUI"
	       (browse-url (concat docbook-menu-tdg-base-uri "/guimenuitem" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["guisubmenu - The name of a submenu in a GUI"
	       (browse-url (concat docbook-menu-tdg-base-uri "/guisubmenu" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["hardware - A physical part of a computer system"
	       (browse-url (concat docbook-menu-tdg-base-uri "/hardware" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["highlights - A summary of the main points of the discussed component"
	       (browse-url (concat docbook-menu-tdg-base-uri "/highlights" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["holder - The name of the individual or organization that holds a copyright"
	       (browse-url (concat docbook-menu-tdg-base-uri "/holder" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["honorific - The title of a person"
	       (browse-url (concat docbook-menu-tdg-base-uri "/honorific" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["html:form - An HTML form"
	       (browse-url (concat docbook-menu-tdg-base-uri "/html-form" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "I-J"
	      ["imagedata - Pointer to external image data"
	       (browse-url (concat docbook-menu-tdg-base-uri "/imagedata" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["imageobject - A wrapper for image data and its associated meta-information"
	       (browse-url (concat docbook-menu-tdg-base-uri "/imageobject" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["imageobjectco - A wrapper for an image object with callouts"
	       (browse-url (concat docbook-menu-tdg-base-uri "/imageobjectco" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["important - An admonition set off from the text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/important" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["index - An index"
	       (browse-url (concat docbook-menu-tdg-base-uri "/index" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["indexdiv - A division in an index"
	       (browse-url (concat docbook-menu-tdg-base-uri "/indexdiv" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["indexentry - An entry in an index"
	       (browse-url (concat docbook-menu-tdg-base-uri "/indexentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["indexinfo - Meta-information for an Index"
	       (browse-url (concat docbook-menu-tdg-base-uri "/indexinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["indexterm - A wrapper for terms to be indexed"
	       (browse-url (concat docbook-menu-tdg-base-uri "/indexterm" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["informalequation - A displayed mathematical equation without a title"
	       (browse-url (concat docbook-menu-tdg-base-uri "/informalequation" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["informalexample - A displayed example without a title"
	       (browse-url (concat docbook-menu-tdg-base-uri "/informalexample" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["informalfigure - A untitled figure"
	       (browse-url (concat docbook-menu-tdg-base-uri "/informalfigure" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["informaltable - A table without a title"
	       (browse-url (concat docbook-menu-tdg-base-uri "/informaltable" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["initializer - The initializer for a FieldSynopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/initializer" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["inlineequation - A mathematical equation or expression occurring inline"
	       (browse-url (concat docbook-menu-tdg-base-uri "/inlineequation" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["inlinegraphic - An object containing or pointing to graphical data that will be rendered inline"
	       (browse-url (concat docbook-menu-tdg-base-uri "/inlinegraphic" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["inlinemediaobject - An inline media object (video, audio, image, and so on)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/inlinemediaobject" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["interface - An element of a GUI"
	       (browse-url (concat docbook-menu-tdg-base-uri "/interface" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["interfacename - The name of an interface"
	       (browse-url (concat docbook-menu-tdg-base-uri "/interfacename" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["invpartnumber - An inventory part number"
	       (browse-url (concat docbook-menu-tdg-base-uri "/invpartnumber" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["isbn - The International Standard Book Number of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/isbn" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["issn - The International Standard Serial Number of a periodical"
	       (browse-url (concat docbook-menu-tdg-base-uri "/issn" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["issuenum - The number of an issue of a journal"
	       (browse-url (concat docbook-menu-tdg-base-uri "/issuenum" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["itemizedlist - A list in which each entry is marked with a bullet or other dingbat"
	       (browse-url (concat docbook-menu-tdg-base-uri "/itemizedlist" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["itermset - A set of index terms in the meta-information of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/itermset" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["jobtitle - The title of an individual in an organization"
	       (browse-url (concat docbook-menu-tdg-base-uri "/jobtitle" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "K"
	      ["keycap - The text printed on a key on a keyboard"
	       (browse-url (concat docbook-menu-tdg-base-uri "/keycap" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["keycode - The internal, frequently numeric, identifier for a key on a keyboard"
	       (browse-url (concat docbook-menu-tdg-base-uri "/keycode" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["keycombo - A combination of input actions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/keycombo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["keysym - The symbolic name of a key on a keyboard"
	       (browse-url (concat docbook-menu-tdg-base-uri "/keysym" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["keyword - One of a set of keywords describing the content of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/keyword" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["keywordset - A set of keywords describing the content of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/keywordset" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "L"
	      ["label - A label on a Question or Answer"
	       (browse-url (concat docbook-menu-tdg-base-uri "/label" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["legalnotice - A statement of legal obligations or requirements"
	       (browse-url (concat docbook-menu-tdg-base-uri "/legalnotice" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["lhs - The left-hand side of an EBNF production"
	       (browse-url (concat docbook-menu-tdg-base-uri "/lhs" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["lineage - The portion of a person's name indicating a relationship to ancestors"
	       (browse-url (concat docbook-menu-tdg-base-uri "/lineage" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["lineannotation - A comment on a line in a verbatim listing"
	       (browse-url (concat docbook-menu-tdg-base-uri "/lineannotation" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["link - A hypertext link"
	       (browse-url (concat docbook-menu-tdg-base-uri "/link" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["listitem - A wrapper for the elements of a list item"
	       (browse-url (concat docbook-menu-tdg-base-uri "/listitem" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["literal - Inline text that is some literal value"
	       (browse-url (concat docbook-menu-tdg-base-uri "/literal" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["literallayout - A block of text in which line breaks and white space are to be reproduced faithfully"
	       (browse-url (concat docbook-menu-tdg-base-uri "/literallayout" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["lot - A list of the titles of formal objects (as tables or figures) in a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/lot" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["lotentry - An entry in a list of titles"
	       (browse-url (concat docbook-menu-tdg-base-uri "/lotentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "M-N"
	      ["manvolnum - A reference volume number"
	       (browse-url (concat docbook-menu-tdg-base-uri "/manvolnum" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["markup - A string of formatting markup in text that is to be represented literally"
	       (browse-url (concat docbook-menu-tdg-base-uri "/markup" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["medialabel - A name that identifies the physical medium on which some information resides"
	       (browse-url (concat docbook-menu-tdg-base-uri "/medialabel" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["mediaobject - A displayed media object (video, audio, image, etc.)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/mediaobject" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["mediaobjectco - A media object that contains callouts"
	       (browse-url (concat docbook-menu-tdg-base-uri "/mediaobjectco" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["member - An element of a simple list"
	       (browse-url (concat docbook-menu-tdg-base-uri "/member" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["menuchoice - A selection or series of selections from a menu"
	       (browse-url (concat docbook-menu-tdg-base-uri "/menuchoice" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["methodname - The name of a method"
	       (browse-url (concat docbook-menu-tdg-base-uri "/methodname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["methodparam - Parameters to a method"
	       (browse-url (concat docbook-menu-tdg-base-uri "/methodparam" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["methodsynopsis - A syntax summary for a method"
	       (browse-url (concat docbook-menu-tdg-base-uri "/methodsynopsis" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["mml:math - A MathML equation"
	       (browse-url (concat docbook-menu-tdg-base-uri "/mml-math" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["modespec - Application-specific information necessary for the completion of an OLink"
	       (browse-url (concat docbook-menu-tdg-base-uri "/modespec" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["modifier - Modifiers in a synopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/modifier" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["mousebutton - The conventional name of a mouse button"
	       (browse-url (concat docbook-menu-tdg-base-uri "/mousebutton" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msg - A message in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msg" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msgaud - The audience to which a message in a message set is relevant"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msgaud" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msgentry - A wrapper for an entry in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msgentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msgexplan - Explanatory material relating to a message in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msgexplan" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msginfo - Information about a message in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msginfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msglevel - The level of importance or severity of a message in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msglevel" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msgmain - The primary component of a message in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msgmain" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msgorig - The origin of a message in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msgorig" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msgrel - A related component of a message in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msgrel" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msgset - A detailed set of messages, usually error messages"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msgset" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msgsub - A subcomponent of a message in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msgsub" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["msgtext - The actual text of a message component in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/msgtext" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["nonterminal - A non-terminal in an EBNF production"
	       (browse-url (concat docbook-menu-tdg-base-uri "/nonterminal" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["note - A message set off from the text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/note" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "O"
	      ["objectinfo - Meta-information for an object"
	       (browse-url (concat docbook-menu-tdg-base-uri "/objectinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["olink - A link that addresses its target indirectly, through an entity"
	       (browse-url (concat docbook-menu-tdg-base-uri "/olink" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["ooclass - A class in an object-oriented programming language"
	       (browse-url (concat docbook-menu-tdg-base-uri "/ooclass" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["ooexception - An exception in an object-oriented programming language"
	       (browse-url (concat docbook-menu-tdg-base-uri "/ooexception" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["oointerface - An interface in an object-oriented programming language"
	       (browse-url (concat docbook-menu-tdg-base-uri "/oointerface" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["option - An option for a software command"
	       (browse-url (concat docbook-menu-tdg-base-uri "/option" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["optional - Optional information"
	       (browse-url (concat docbook-menu-tdg-base-uri "/optional" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["orderedlist - A list in which each entry is marked with a sequentially incremented label"
	       (browse-url (concat docbook-menu-tdg-base-uri "/orderedlist" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["orgdiv - A division of an organization"
	       (browse-url (concat docbook-menu-tdg-base-uri "/orgdiv" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["orgname - The name of an organization other than a corporation"
	       (browse-url (concat docbook-menu-tdg-base-uri "/orgname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["otheraddr - Uncategorized information in address"
	       (browse-url (concat docbook-menu-tdg-base-uri "/otheraddr" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["othercredit - A person or entity, other than an author or editor, credited in a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/othercredit" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["othername - A component of a persons name that is not a first name, surname, or lineage"
	       (browse-url (concat docbook-menu-tdg-base-uri "/othername" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "P"
	      ["pagenums - The numbers of the pages in a book, for use in a bibliographic entry"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pagenums" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["para - A paragraph"
	       (browse-url (concat docbook-menu-tdg-base-uri "/para" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["paramdef - Information about a function parameter in a programming language"
	       (browse-url (concat docbook-menu-tdg-base-uri "/paramdef" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["parameter - A value or a symbolic reference to a value"
	       (browse-url (concat docbook-menu-tdg-base-uri "/parameter" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["part - A division in a book"
	       (browse-url (concat docbook-menu-tdg-base-uri "/part" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["partinfo - Meta-information for a Part"
	       (browse-url (concat docbook-menu-tdg-base-uri "/partinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["partintro - An introduction to the contents of a part"
	       (browse-url (concat docbook-menu-tdg-base-uri "/partintro" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["personblurb - A short description or note about a person"
	       (browse-url (concat docbook-menu-tdg-base-uri "/personblurb" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["personname - The personal name of an individual"
	       (browse-url (concat docbook-menu-tdg-base-uri "/personname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["phone - A telephone number"
	       (browse-url (concat docbook-menu-tdg-base-uri "/phone" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["phrase - A span of text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/phrase" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["pob - A post office box in an address"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pob" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["postcode - A postal code in an address"
	       (browse-url (concat docbook-menu-tdg-base-uri "/postcode" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["preface - Introductory matter preceding the first chapter of a book"
	       (browse-url (concat docbook-menu-tdg-base-uri "/preface" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["prefaceinfo - Meta-information for a Preface"
	       (browse-url (concat docbook-menu-tdg-base-uri "/prefaceinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["primary - The primary word or phrase under which an index term should be sorted"
	       (browse-url (concat docbook-menu-tdg-base-uri "/primary" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["primaryie - A primary term in an index entry, not in the text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/primaryie" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["printhistory - The printing history of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/printhistory" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["procedure - A list of operations to be performed in a well-defined sequence"
	       (browse-url (concat docbook-menu-tdg-base-uri "/procedure" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["production - A production in a set of EBNF productions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/production" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["productionrecap - A cross-reference to an EBNF production"
	       (browse-url (concat docbook-menu-tdg-base-uri "/productionrecap" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["productionset - A set of EBNF productions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/productionset" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["productname - The formal name of a product"
	       (browse-url (concat docbook-menu-tdg-base-uri "/productname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["productnumber - A number assigned to a product"
	       (browse-url (concat docbook-menu-tdg-base-uri "/productnumber" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["programlisting - A literal listing of all or part of a program"
	       (browse-url (concat docbook-menu-tdg-base-uri "/programlisting" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["programlistingco - A program listing with associated areas used in callouts"
	       (browse-url (concat docbook-menu-tdg-base-uri "/programlistingco" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["prompt - A character or string indicating the start of an input field in a computer display"
	       (browse-url (concat docbook-menu-tdg-base-uri "/prompt" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["property - A unit of data associated with some part of a computer system"
	       (browse-url (concat docbook-menu-tdg-base-uri "/property" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["pubdate - The date of publication of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pubdate" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["publisher - The publisher of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/publisher" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["publishername - The name of the publisher of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/publishername" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["pubsnumber - A number assigned to a publication other than an ISBN or ISSN or inventory part number"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pubsnumber" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "Q"
	      ["qandadiv - A titled division in a QandASet"
	       (browse-url (concat docbook-menu-tdg-base-uri "/qandadiv" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["qandaentry - A question/answer set within a QandASet"
	       (browse-url (concat docbook-menu-tdg-base-uri "/qandaentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["qandaset - A question-and-answer set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/qandaset" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["question - A question in a QandASet"
	       (browse-url (concat docbook-menu-tdg-base-uri "/question" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["quote - An inline quotation"
	       (browse-url (concat docbook-menu-tdg-base-uri "/quote" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "R"
	      ["refclass - The scope or other indication of applicability of a reference entry"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refclass" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refdescriptor - A description of the topic of a reference page"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refdescriptor" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refentry - A reference page (originally a UNIX man-style reference page)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refentryinfo - Meta-information for a Refentry"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refentryinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refentrytitle - The title of a reference page"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refentrytitle" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["reference - A collection of reference entries"
	       (browse-url (concat docbook-menu-tdg-base-uri "/reference" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["referenceinfo - Meta-information for a Reference"
	       (browse-url (concat docbook-menu-tdg-base-uri "/referenceinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refmeta - Meta-information for a reference entry"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refmeta" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refmiscinfo - Meta-information for a reference entry other than the title and volume number"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refmiscinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refname - The name of (one of) the subject(s) of a reference page"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refnamediv - The name, purpose, and classification of a reference page"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refnamediv" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refpurpose - A short (one sentence) synopsis of the topic of a reference page"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refpurpose" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsect1 - A major subsection of a reference entry"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsect1" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsect1info - Meta-information for a RefSect1"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsect1info" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsect2 - A subsection of a RefSect1"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsect2" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsect2info - Meta-information for a RefSect2"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsect2info" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsect3 - A subsection of a RefSect2"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsect3" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsect3info - Meta-information for a RefSect3"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsect3info" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsection - A recursive section in a refentry"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsection" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsectioninfo - Meta-information for a refsection"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsectioninfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsynopsisdiv - A syntactic synopsis of the subject of the reference page"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsynopsisdiv" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["refsynopsisdivinfo - Meta-information for a RefSynopsisDiv"
	       (browse-url (concat docbook-menu-tdg-base-uri "/refsynopsisdivinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["releaseinfo - Information about a particular release of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/releaseinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["remark - A remark (or comment) intended for presentation in a draft manuscript"
	       (browse-url (concat docbook-menu-tdg-base-uri "/remark" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["replaceable - Content that may or must be replaced by the user"
	       (browse-url (concat docbook-menu-tdg-base-uri "/replaceable" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["returnvalue - The value returned by a function"
	       (browse-url (concat docbook-menu-tdg-base-uri "/returnvalue" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["revdescription - A extended description of a revision to a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/revdescription" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["revhistory - A history of the revisions to a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/revhistory" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["revision - An entry describing a single revision in the history of the revisions to a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/revision" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["revnumber - A document revision number"
	       (browse-url (concat docbook-menu-tdg-base-uri "/revnumber" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["revremark - A description of a revision to a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/revremark" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["rhs - The right-hand side of an EBNF production"
	       (browse-url (concat docbook-menu-tdg-base-uri "/rhs" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["row - A row in a table"
	       (browse-url (concat docbook-menu-tdg-base-uri "/row" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "SB-SE"
	      ["sbr - An explicit line break in a command synopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sbr" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["screen - Text that a user sees or might see on a computer screen"
	       (browse-url (concat docbook-menu-tdg-base-uri "/screen" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["screenco - A screen with associated areas used in callouts"
	       (browse-url (concat docbook-menu-tdg-base-uri "/screenco" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["screeninfo - Information about how a screen shot was produced"
	       (browse-url (concat docbook-menu-tdg-base-uri "/screeninfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["screenshot - A representation of what the user sees or might see on a computer screen"
	       (browse-url (concat docbook-menu-tdg-base-uri "/screenshot" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["secondary - A secondary word or phrase in an index term"
	       (browse-url (concat docbook-menu-tdg-base-uri "/secondary" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["secondaryie - A secondary term in an index entry, rather than in the text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/secondaryie" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect1 - A top-level section of document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect1" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect1info - Meta-information for a Sect1"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect1info" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect2 - A subsection within a Sect1"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect2" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect2info - Meta-information for a Sect2"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect2info" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect3 - A subsection within a Sect2"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect3" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect3info - Meta-information for a Sect3"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect3info" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect4 - A subsection within a Sect3"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect4" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect4info - Meta-information for a Sect4"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect4info" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect5 - A subsection within a Sect4"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect5" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sect5info - Meta-information for a Sect5"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sect5info" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["section - A recursive section"
	       (browse-url (concat docbook-menu-tdg-base-uri "/section" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sectioninfo - Meta-information for a recursive section"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sectioninfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["see - Part of an index term directing the reader instead to another entry in the index"
	       (browse-url (concat docbook-menu-tdg-base-uri "/see" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["seealso - Part of an index term directing the reader also to another entry in the index"
	       (browse-url (concat docbook-menu-tdg-base-uri "/seealso" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["seealsoie - A See also entry in an index, rather than in the text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/seealsoie" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["seeie - A See entry in an index, rather than in the text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/seeie" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["seg - An element of a list item in a segmented list"
	       (browse-url (concat docbook-menu-tdg-base-uri "/seg" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["seglistitem - A list item in a segmented list"
	       (browse-url (concat docbook-menu-tdg-base-uri "/seglistitem" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["segmentedlist - A segmented list, a list of sets of elements"
	       (browse-url (concat docbook-menu-tdg-base-uri "/segmentedlist" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["segtitle - The title of an element of a list item in a segmented list"
	       (browse-url (concat docbook-menu-tdg-base-uri "/segtitle" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["seriesvolnums - Numbers of the volumes in a series of books"
	       (browse-url (concat docbook-menu-tdg-base-uri "/seriesvolnums" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["set - A collection of books"
	       (browse-url (concat docbook-menu-tdg-base-uri "/set" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["setindex - An index to a set of books"
	       (browse-url (concat docbook-menu-tdg-base-uri "/setindex" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["setindexinfo - Meta-information for a SetIndex"
	       (browse-url (concat docbook-menu-tdg-base-uri "/setindexinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["setinfo - Meta-information for a Set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/setinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "SG-SY"
	      ["sgmltag - A component of SGML markup"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sgmltag" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["shortaffil - A brief description of an affiliation"
	       (browse-url (concat docbook-menu-tdg-base-uri "/shortaffil" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["shortcut - A key combination for an action that is also accessible through a menu"
	       (browse-url (concat docbook-menu-tdg-base-uri "/shortcut" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sidebar - A portion of a document that is isolated from the main narrative flow"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sidebar" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["sidebarinfo - Meta-information for a Sidebar"
	       (browse-url (concat docbook-menu-tdg-base-uri "/sidebarinfo" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["simpara - A paragraph that contains only text and inline markup, no block elements"
	       (browse-url (concat docbook-menu-tdg-base-uri "/simpara" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["simplelist - An undecorated list of single words or short phrases"
	       (browse-url (concat docbook-menu-tdg-base-uri "/simplelist" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["simplemsgentry - A wrapper for a simpler entry in a message set"
	       (browse-url (concat docbook-menu-tdg-base-uri "/simplemsgentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["simplesect - A section of a document with no subdivisions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/simplesect" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["spanspec - Formatting information for a spanned column in a table"
	       (browse-url (concat docbook-menu-tdg-base-uri "/spanspec" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["state - A state or province in an address"
	       (browse-url (concat docbook-menu-tdg-base-uri "/state" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["step - A unit of action in a procedure"
	       (browse-url (concat docbook-menu-tdg-base-uri "/step" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["street - A street address in an address"
	       (browse-url (concat docbook-menu-tdg-base-uri "/street" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["structfield - A field in a structure (in the programming language sense)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/structfield" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["structname - The name of a structure (in the programming language sense)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/structname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["subject - One of a group of terms describing the subject matter of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/subject" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["subjectset - A set of terms describing the subject matter of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/subjectset" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["subjectterm - A term in a group of terms describing the subject matter of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/subjectterm" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["subscript - A subscript (as in H2O, the molecular formula for water)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/subscript" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["substeps - A wrapper for steps that occur within steps in a procedure"
	       (browse-url (concat docbook-menu-tdg-base-uri "/substeps" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["subtitle - The subtitle of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/subtitle" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["superscript - A superscript (as in x2, the mathematical notation for x multiplied by itself)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/superscript" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["surname - A family name; in western cultures the last name"
	       (browse-url (concat docbook-menu-tdg-base-uri "/surname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["svg:svg - An SVG graphic"
	       (browse-url (concat docbook-menu-tdg-base-uri "/svg-svg" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["symbol - A name that is replaced by a value before processing"
	       (browse-url (concat docbook-menu-tdg-base-uri "/symbol" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["synopfragment - A portion of a CmdSynopsis broken out from the main body of the synopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/synopfragment" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["synopfragmentref - A reference to a fragment of a command synopsis"
	       (browse-url (concat docbook-menu-tdg-base-uri "/synopfragmentref" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["synopsis - A general-purpose element for representing the syntax of commands or functions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/synopsis" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["systemitem - A system-related item or term"
	       (browse-url (concat docbook-menu-tdg-base-uri "/systemitem" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "T-U"
	      ["table - A formal table in a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/table" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tbody - A wrapper for the rows of a table or informal table"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tbody" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["term - The word or phrase being defined or described in a variable list"
	       (browse-url (concat docbook-menu-tdg-base-uri "/term" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tertiary - A tertiary word or phrase in an index term"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tertiary" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tertiaryie - A tertiary term in an index entry, rather than in the text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tertiaryie" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["textdata - Pointer to external text data"
	       (browse-url (concat docbook-menu-tdg-base-uri "/textdata" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["textobject - A wrapper for a text description of an object and its associated meta-information"
	       (browse-url (concat docbook-menu-tdg-base-uri "/textobject" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tfoot - A table footer consisting of one or more rows"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tfoot" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tgroup - A wrapper for the main content of a table, or part of a table"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tgroup" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["thead - A table header consisting of one or more rows"
	       (browse-url (concat docbook-menu-tdg-base-uri "/thead" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tip - A suggestion to the user, set off from the text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tip" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["title - The text of the title of a section of a document or of a formal block-level element"
	       (browse-url (concat docbook-menu-tdg-base-uri "/title" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["titleabbrev - The abbreviation of a Title"
	       (browse-url (concat docbook-menu-tdg-base-uri "/titleabbrev" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["toc - A table of contents"
	       (browse-url (concat docbook-menu-tdg-base-uri "/toc" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tocback - An entry in a table of contents for a back matter component"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tocback" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tocchap - An entry in a table of contents for a component in the body of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tocchap" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tocentry - A component title in a table of contents"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tocentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tocfront - An entry in a table of contents for a front matter component"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tocfront" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["toclevel1 - A top-level entry within a table of contents entry for a chapter-like component"
	       (browse-url (concat docbook-menu-tdg-base-uri "/toclevel1" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["toclevel2 - A second-level entry within a table of contents entry for a chapter-like component"
	       (browse-url (concat docbook-menu-tdg-base-uri "/toclevel2" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["toclevel3 - A third-level entry within a table of contents entry for a chapter-like component"
	       (browse-url (concat docbook-menu-tdg-base-uri "/toclevel3" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["toclevel4 - A fourth-level entry within a table of contents entry for a chapter-like component"
	       (browse-url (concat docbook-menu-tdg-base-uri "/toclevel4" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["toclevel5 - A fifth-level entry within a table of contents entry for a chapter-like component"
	       (browse-url (concat docbook-menu-tdg-base-uri "/toclevel5" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["tocpart - An entry in a table of contents for a part of a book"
	       (browse-url (concat docbook-menu-tdg-base-uri "/tocpart" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["token - A unit of information"
	       (browse-url (concat docbook-menu-tdg-base-uri "/token" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["trademark - A trademark"
	       (browse-url (concat docbook-menu-tdg-base-uri "/trademark" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["type - The classification of a value"
	       (browse-url (concat docbook-menu-tdg-base-uri "/type" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["ulink - A link that addresses its target by means of a URL (Uniform Resource Locator)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/ulink" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["userinput - Data entered by the user"
	       (browse-url (concat docbook-menu-tdg-base-uri "/userinput" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "V-Y"
	      ["varargs - An empty element in a function synopsis indicating a variable number of arguments"
	       (browse-url (concat docbook-menu-tdg-base-uri "/varargs" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["variablelist - A list in which each entry is composed of a set of one or more terms and an associated description"
	       (browse-url (concat docbook-menu-tdg-base-uri "/variablelist" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["varlistentry - A wrapper for a set of terms and the associated description in a variable list"
	       (browse-url (concat docbook-menu-tdg-base-uri "/varlistentry" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["varname - The name of a variable"
	       (browse-url (concat docbook-menu-tdg-base-uri "/varname" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["videodata - Pointer to external video data"
	       (browse-url (concat docbook-menu-tdg-base-uri "/videodata" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["videoobject - A wrapper for video data and its associated meta-information"
	       (browse-url (concat docbook-menu-tdg-base-uri "/videoobject" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["void - An empty element in a function synopsis indicating that the function in question takes no arguments"
	       (browse-url (concat docbook-menu-tdg-base-uri "/void" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["volumenum - The volume number of a document in a set (as of books in a set or articles in a journal)"
	       (browse-url (concat docbook-menu-tdg-base-uri "/volumenum" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["warning - An admonition set off from the text"
	       (browse-url (concat docbook-menu-tdg-base-uri "/warning" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["wordasword - A word meant specifically as a word and not representing anything else"
	       (browse-url (concat docbook-menu-tdg-base-uri "/wordasword" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["xref - A cross reference to another part of the document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/xref" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["year - The year of publication of a document"
	       (browse-url (concat docbook-menu-tdg-base-uri "/year" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "Parameter Entities"
	      ["%*.attlist; Parameter Entities - Control individual attribute list declarations"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-attlist" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.attrib; Parameter Entities - Define attributes on selected elements"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-attrib" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.attval; Parameter Entities - Define attribute values"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-attval" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["CALS Table Model Parameter Entities - Parameter entities which control the CALS Table Model"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-cals" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.class; Parameter Entities - Parameter entities which define the DocBook classes"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-class" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Content Model Parameter Entities - Control groups of element definitions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-cmodel" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Content Module Parameter Entities - Control groups of element definitions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-cmodule" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Common Attribute Parameter Entities - Parameter entities which define the common attributes"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-common-attrib" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["DocBook Content Parameter Entities - Specify content of selected elements"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-content" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%db*; Parameter Entities - Control inclusion of DocBook modules"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-dbmodules" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.element; Parameter Entities - Control individual element declarations"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-element" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.exclusion; Parameter Entities - Control SGML exclusions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-exclusion" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.hook; Parameter Entities - Control access to additional modules"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-hook" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.inclusion; Parameter Entities - Control SGML inclusions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-inclusion" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%iso*; Parameter Entities - Parameter entities which control ISO Entity Sets"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-iso" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%local.*.attrib; Parameter Entities - Allow attribute extension"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-l-attrib" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%local.*.class; Parameter Entities - Allow class extension"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-l-class" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%local.*.mix; Parameter Entities - Allow mixture extension"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-l-mix" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.mix; Parameter Entities - Parameter entities which define the DocBook mixtures"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-mix" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.module; Parameter Entities - Control element definitions"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-module" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["%*.role.attrib; Parameter Entities - Parameter entities which control definition of role attributes"
	       (browse-url (concat docbook-menu-tdg-base-uri "/pe-role" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	(list "Character Entities"
	      ["Added Math Symbols: Arrow Relations Character Entities (%isoamsa;) - Added Math Symbols: Arrow Relations Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-amsa" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Added Math Symbols: Binary Operators Character Entities (%isoamsb;) - Added Math Symbols: Binary Operators Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-amsb" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Added Math Symbols: Delimiters Character Entities (%isoamsc;) - Added Math Symbols: Delimiters Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-amsc" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Added Math Symbols: Negated Relations Character Entities (%isoamsn;) - Added Math Symbols: Negated Relations Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-amsn" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Added Math Symbols: Ordinary Character Entities (%isoamso;) - Added Math Symbols: Ordinary Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-amso" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Added Math Symbols: Relations Character Entities (%isoamsr;) - Added Math Symbols: Relations Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-amsr" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Box and Line Drawing Character Entities (%isobox;) - Box and Line Drawing Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-box" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Russian Cyrillic Character Entities (%isocyr1;) - Russian Cyrillic Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-cyr1" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Non-Russian Cyrillic Character Entities (%isocyr2;) - Non-Russian Cyrillic Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-cyr2" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Diacritical Marks Character Entities (%isodia;) - Diacritical Marks Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-dia" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Greek Letters Character Entities (%isogrk1;) - Greek Letters Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-grk1" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Monotoniko Greek Character Entities (%isogrk2;) - Monotoniko Greek Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-grk2" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Greek Symbols Character Entities (%isogrk3;) - Greek Symbols Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-grk3" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Alternative Greek Symbols Character Entities (%isogrk4;) - Alternative Greek Symbols Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-grk4" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["ISO Latin 1 Character Entities (%isolat1;) - ISO Latin 1 Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-lat1" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Added Latin 2 Character Entities (%isolat2;) - Added Latin 2 Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-lat2" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Numeric and Special Graphic Character Entities (%isonum;) - Numeric and Special Graphic Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-num" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["Publishing Character Entities (%isopub;) - Publishing Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-pub" docbook-menu-tdg-additional-suffix ".html")) t]
	      ["General Technical Character Entities (%isotech;) - General Technical Character Entities"
	       (browse-url (concat docbook-menu-tdg-base-uri "/iso-tech" docbook-menu-tdg-additional-suffix ".html")) t]
	      )
	)
  "DocBook elements submenu for 'docbook-menu', grouped alphabetically."
  )
