;;; dbk-xsldoc.el --- DocBook XSLT stylesheets documentation
;; for DocBook XSLT stylesheets version 1.64.0

(defvar docbook-menu-xsl-docs
  (list "DocBook XSL: Stylesheet Documentation"
	(list "doc"
	      (list "common"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/doc/common/ChangeLog")) t]
		    ["common.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/common/common.html")) t]
		    )
	      (list "fo"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/doc/fo/ChangeLog")) t]
		    ["admon.graphics.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/admon.graphics.extension.html")) t]
		    ["admon.graphics.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/admon.graphics.html")) t]
		    ["admon.graphics.path.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/admon.graphics.path.html")) t]
		    ["admon.textlabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/admon.textlabel.html")) t]
		    ["admonition.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/admonition.properties.html")) t]
		    ["admonition.title.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/admonition.title.properties.html")) t]
		    ["alignment.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/alignment.html")) t]
		    ["apa.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/apa.html")) t]
		    ["appendix.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/appendix.autolabel.html")) t]
		    ["arbortext.extensions.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/arbortext.extensions.html")) t]
		    ["author.othername.in.middle.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/author.othername.in.middle.html")) t]
		    ["autotoc.label.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/autotoc.label.separator.html")) t]
		    ["axf.extensions.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/axf.extensions.html")) t]
		    ["biblioentry.item.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/biblioentry.item.separator.html")) t]
		    ["bibliography.collection.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/bibliography.collection.html")) t]
		    ["bibliography.numbered.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/bibliography.numbered.html")) t]
		    ["blockquote.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/blockquote.properties.html")) t]
		    ["body.font.family.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/body.font.family.html")) t]
		    ["body.font.master.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/body.font.master.html")) t]
		    ["body.font.size.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/body.font.size.html")) t]
		    ["body.margin.bottom.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/body.margin.bottom.html")) t]
		    ["body.margin.top.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/body.margin.top.html")) t]
		    ["bridgehead.in.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/bridgehead.in.toc.html")) t]
		    ["callout.defaultcolumn.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callout.defaultcolumn.html")) t]
		    ["callout.graphics.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callout.graphics.extension.html")) t]
		    ["callout.graphics.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callout.graphics.html")) t]
		    ["callout.graphics.number.limit.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callout.graphics.number.limit.html")) t]
		    ["callout.graphics.path.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callout.graphics.path.html")) t]
		    ["callout.unicode.font.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callout.unicode.font.html")) t]
		    ["callout.unicode.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callout.unicode.html")) t]
		    ["callout.unicode.number.limit.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callout.unicode.number.limit.html")) t]
		    ["callout.unicode.start.character.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callout.unicode.start.character.html")) t]
		    ["callouts.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/callouts.extension.html")) t]
		    ["chapter.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/chapter.autolabel.html")) t]
		    ["column.count.back.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.count.back.html")) t]
		    ["column.count.body.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.count.body.html")) t]
		    ["column.count.front.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.count.front.html")) t]
		    ["column.count.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.count.html")) t]
		    ["column.count.index.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.count.index.html")) t]
		    ["column.count.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.count.lot.html")) t]
		    ["column.count.of.index.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.count.of.index.html")) t]
		    ["column.count.titlepage.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.count.titlepage.html")) t]
		    ["column.gap.back.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.gap.back.html")) t]
		    ["column.gap.body.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.gap.body.html")) t]
		    ["column.gap.front.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.gap.front.html")) t]
		    ["column.gap.index.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.gap.index.html")) t]
		    ["column.gap.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.gap.lot.html")) t]
		    ["column.gap.titlepage.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/column.gap.titlepage.html")) t]
		    ["compact.list.item.spacing.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/compact.list.item.spacing.html")) t]
		    ["component.title.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/component.title.properties.html")) t]
		    ["current.docid.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/current.docid.html")) t]
		    ["default.float.class.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/default.float.class.html")) t]
		    ["default.image.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/default.image.width.html")) t]
		    ["default.table.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/default.table.width.html")) t]
		    ["default.units.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/default.units.html")) t]
		    ["dingbat.font.family.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/dingbat.font.family.html")) t]
		    ["double.sided.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/double.sided.html")) t]
		    ["draft.mode.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/draft.mode.html")) t]
		    ["draft.watermark.image.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/draft.watermark.image.html")) t]
		    ["ebnf.assignment.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ebnf.assignment.html")) t]
		    ["ebnf.statement.terminator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ebnf.statement.terminator.html")) t]
		    ["equation.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/equation.properties.html")) t]
		    ["example.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/example.properties.html")) t]
		    ["figure.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/figure.properties.html")) t]
		    ["firstterm.only.link.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/firstterm.only.link.html")) t]
		    ["footer.content.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/footer.content.properties.html")) t]
		    ["footer.rule.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/footer.rule.html")) t]
		    ["footers.on.blank.pages.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/footers.on.blank.pages.html")) t]
		    ["footnote.font.size.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/footnote.font.size.html")) t]
		    ["footnote.number.format.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/footnote.number.format.html")) t]
		    ["footnote.number.symbols.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/footnote.number.symbols.html")) t]
		    ["fop.extensions.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/fop.extensions.html")) t]
		    ["formal.object.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/formal.object.properties.html")) t]
		    ["formal.procedures.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/formal.procedures.html")) t]
		    ["formal.title.placement.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/formal.title.placement.html")) t]
		    ["formal.title.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/formal.title.properties.html")) t]
		    ["format.variablelist.as.list.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/format.variablelist.as.list.html")) t]
		    ["funcsynopsis.decoration.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/funcsynopsis.decoration.html")) t]
		    ["funcsynopsis.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/funcsynopsis.style.html")) t]
		    ["function.parens.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/function.parens.html")) t]
		    ["generate.book.equation.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.book.equation.lot.html")) t]
		    ["generate.book.example.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.book.example.lot.html")) t]
		    ["generate.book.figure.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.book.figure.lot.html")) t]
		    ["generate.book.table.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.book.table.lot.html")) t]
		    ["generate.book.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.book.toc.html")) t]
		    ["generate.component.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.component.toc.html")) t]
		    ["generate.division.equation.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.division.equation.lot.html")) t]
		    ["generate.division.example.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.division.example.lot.html")) t]
		    ["generate.division.figure.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.division.figure.lot.html")) t]
		    ["generate.division.table.lot.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.division.table.lot.html")) t]
		    ["generate.division.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.division.toc.html")) t]
		    ["generate.index.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.index.html")) t]
		    ["generate.section.toc.level.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.section.toc.level.html")) t]
		    ["generate.set.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.set.toc.html")) t]
		    ["generate.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/generate.toc.html")) t]
		    ["glossary.as.blocks.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/glossary.as.blocks.html")) t]
		    ["glossary.collection.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/glossary.collection.html")) t]
		    ["glossentry.show.acronym.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/glossentry.show.acronym.html")) t]
		    ["glosslist.as.blocks.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/glosslist.as.blocks.html")) t]
		    ["glossterm.auto.link.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/glossterm.auto.link.html")) t]
		    ["glossterm.separation.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/glossterm.separation.html")) t]
		    ["glossterm.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/glossterm.width.html")) t]
		    ["graphic.default.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/graphic.default.extension.html")) t]
		    ["header.content.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/header.content.properties.html")) t]
		    ["header.rule.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/header.rule.html")) t]
		    ["headers.on.blank.pages.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/headers.on.blank.pages.html")) t]
		    ["html.stylesheet.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/html.stylesheet.html")) t]
		    ["html.stylesheet.type.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/html.stylesheet.type.html")) t]
		    ["hyphenate.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/hyphenate.html")) t]
		    ["ignore.image.scaling.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ignore.image.scaling.html")) t]
		    ["index.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/index.html")) t]
		    ["informal.object.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/informal.object.properties.html")) t]
		    ["insert.xref.page.number.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/insert.xref.page.number.html")) t]
		    ["l10n.gentext.default.language.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/l10n.gentext.default.language.html")) t]
		    ["l10n.gentext.language.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/l10n.gentext.language.html")) t]
		    ["l10n.gentext.use.xref.language.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/l10n.gentext.use.xref.language.html")) t]
		    ["label.from.part.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/label.from.part.html")) t]
		    ["ld-d0e2069.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2069.html")) t]
		    ["ld-d0e2118.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2118.html")) t]
		    ["ld-d0e2140.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2140.html")) t]
		    ["ld-d0e2180.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2180.html")) t]
		    ["ld-d0e2204.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2204.html")) t]
		    ["ld-d0e2238.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2238.html")) t]
		    ["ld-d0e2450.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2450.html")) t]
		    ["ld-d0e2499.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2499.html")) t]
		    ["ld-d0e2576.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2576.html")) t]
		    ["ld-d0e2614.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2614.html")) t]
		    ["ld-d0e2764.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2764.html")) t]
		    ["ld-d0e2907.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e2907.html")) t]
		    ["ld-d0e3037.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e3037.html")) t]
		    ["ld-d0e3121.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e3121.html")) t]
		    ["ld-d0e3137.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e3137.html")) t]
		    ["ld-d0e3176.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e3176.html")) t]
		    ["ld-d0e3194.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e3194.html")) t]
		    ["ld-d0e3195.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ld-d0e3195.html")) t]
		    ["line-height.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/line-height.html")) t]
		    ["linenumbering.everyNth.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/linenumbering.everyNth.html")) t]
		    ["linenumbering.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/linenumbering.extension.html")) t]
		    ["linenumbering.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/linenumbering.separator.html")) t]
		    ["linenumbering.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/linenumbering.width.html")) t]
		    ["list.block.spacing.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/list.block.spacing.html")) t]
		    ["list.item.spacing.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/list.item.spacing.html")) t]
		    ["make.index.markup.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/make.index.markup.html")) t]
		    ["make.single.year.ranges.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/make.single.year.ranges.html")) t]
		    ["make.year.ranges.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/make.year.ranges.html")) t]
		    ["menuchoice.menu.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/menuchoice.menu.separator.html")) t]
		    ["menuchoice.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/menuchoice.separator.html")) t]
		    ["monospace.font.family.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/monospace.font.family.html")) t]
		    ["monospace.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/monospace.properties.html")) t]
		    ["monospace.verbatim.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/monospace.verbatim.properties.html")) t]
		    ["nominal.table.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/nominal.table.width.html")) t]
		    ["normal.para.spacing.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/normal.para.spacing.html")) t]
		    ["olink.doctitle.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/olink.doctitle.html")) t]
		    ["page.height.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.height.html")) t]
		    ["page.height.portrait.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.height.portrait.html")) t]
		    ["page.margin.bottom.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.margin.bottom.html")) t]
		    ["page.margin.inner.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.margin.inner.html")) t]
		    ["page.margin.outer.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.margin.outer.html")) t]
		    ["page.margin.top.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.margin.top.html")) t]
		    ["page.orientation.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.orientation.html")) t]
		    ["page.png" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.png")) t]
		    ["page.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.width.html")) t]
		    ["page.width.portrait.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/page.width.portrait.html")) t]
		    ["paper.type.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/paper.type.html")) t]
		    ["part.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/part.autolabel.html")) t]
		    ["passivetex.extensions.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/passivetex.extensions.html")) t]
		    ["pr01.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/pr01.html")) t]
		    ["preface.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/preface.autolabel.html")) t]
		    ["preferred.mediaobject.role.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/preferred.mediaobject.role.html")) t]
		    ["procedure.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/procedure.properties.html")) t]
		    ["process.empty.source.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/process.empty.source.toc.html")) t]
		    ["process.source.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/process.source.toc.html")) t]
		    ["profile.arch.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.arch.html")) t]
		    ["profile.attribute.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.attribute.html")) t]
		    ["profile.condition.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.condition.html")) t]
		    ["profile.conformance.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.conformance.html")) t]
		    ["profile.lang.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.lang.html")) t]
		    ["profile.os.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.os.html")) t]
		    ["profile.revision.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.revision.html")) t]
		    ["profile.revisionflag.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.revisionflag.html")) t]
		    ["profile.role.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.role.html")) t]
		    ["profile.security.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.security.html")) t]
		    ["profile.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.separator.html")) t]
		    ["profile.userlevel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.userlevel.html")) t]
		    ["profile.value.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.value.html")) t]
		    ["profile.vendor.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/profile.vendor.html")) t]
		    ["punct.honorific.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/punct.honorific.html")) t]
		    ["qanda.defaultlabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qanda.defaultlabel.html")) t]
		    ["qanda.inherit.numeration.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qanda.inherit.numeration.html")) t]
		    ["qanda.title.level1.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qanda.title.level1.properties.html")) t]
		    ["qanda.title.level2.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qanda.title.level2.properties.html")) t]
		    ["qanda.title.level3.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qanda.title.level3.properties.html")) t]
		    ["qanda.title.level4.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qanda.title.level4.properties.html")) t]
		    ["qanda.title.level5.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qanda.title.level5.properties.html")) t]
		    ["qanda.title.level6.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qanda.title.level6.properties.html")) t]
		    ["qanda.title.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qanda.title.properties.html")) t]
		    ["qandadiv.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/qandadiv.autolabel.html")) t]
		    ["refentry.generate.name.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/refentry.generate.name.html")) t]
		    ["refentry.generate.title.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/refentry.generate.title.html")) t]
		    ["refentry.title.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/refentry.title.properties.html")) t]
		    ["refentry.xref.manvolnum.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/refentry.xref.manvolnum.html")) t]
		    ["region.after.extent.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/region.after.extent.html")) t]
		    ["region.before.extent.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/region.before.extent.html")) t]
		    ["rn01.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn01.html")) t]
		    ["rn02.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn02.html")) t]
		    ["rn03.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn03.html")) t]
		    ["rn04.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn04.html")) t]
		    ["rn05.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn05.html")) t]
		    ["rn06.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn06.html")) t]
		    ["rn07.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn07.html")) t]
		    ["rn08.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn08.html")) t]
		    ["rn09.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn09.html")) t]
		    ["rn10.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn10.html")) t]
		    ["rn11.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn11.html")) t]
		    ["rn12.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn12.html")) t]
		    ["rn13.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn13.html")) t]
		    ["rn14.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn14.html")) t]
		    ["rn15.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn15.html")) t]
		    ["rn16.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn16.html")) t]
		    ["rn17.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn17.html")) t]
		    ["rn18.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn18.html")) t]
		    ["rn19.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn19.html")) t]
		    ["rn20.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn20.html")) t]
		    ["rn21.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn21.html")) t]
		    ["rn22.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn22.html")) t]
		    ["rn23.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn23.html")) t]
		    ["rn24.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rn24.html")) t]
		    ["root.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/root.properties.html")) t]
		    ["rootid.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/rootid.html")) t]
		    ["runinhead.default.title.end.punct.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/runinhead.default.title.end.punct.html")) t]
		    ["runinhead.title.end.punct.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/runinhead.title.end.punct.html")) t]
		    ["sans.font.family.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/sans.font.family.html")) t]
		    ["section.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.autolabel.html")) t]
		    ["section.label.includes.component.label.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.label.includes.component.label.html")) t]
		    ["section.level1.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.level1.properties.html")) t]
		    ["section.level2.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.level2.properties.html")) t]
		    ["section.level3.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.level3.properties.html")) t]
		    ["section.level4.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.level4.properties.html")) t]
		    ["section.level5.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.level5.properties.html")) t]
		    ["section.level6.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.level6.properties.html")) t]
		    ["section.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.properties.html")) t]
		    ["section.title.level1.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.title.level1.properties.html")) t]
		    ["section.title.level2.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.title.level2.properties.html")) t]
		    ["section.title.level3.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.title.level3.properties.html")) t]
		    ["section.title.level4.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.title.level4.properties.html")) t]
		    ["section.title.level5.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.title.level5.properties.html")) t]
		    ["section.title.level6.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.title.level6.properties.html")) t]
		    ["section.title.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/section.title.properties.html")) t]
		    ["segmentedlist.as.table.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/segmentedlist.as.table.html")) t]
		    ["shade.verbatim.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/shade.verbatim.html")) t]
		    ["shade.verbatim.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/shade.verbatim.style.html")) t]
		    ["show.comments.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/show.comments.html")) t]
		    ["sidebar.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/sidebar.properties.html")) t]
		    ["stylesheet.result.type.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/stylesheet.result.type.html")) t]
		    ["symbol.font.family.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/symbol.font.family.html")) t]
		    ["table.border.color.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.border.color.html")) t]
		    ["table.border.padding.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.border.padding.html")) t]
		    ["table.border.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.border.style.html")) t]
		    ["table.border.thickness.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.border.thickness.html")) t]
		    ["table.cell.border.color.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.cell.border.color.html")) t]
		    ["table.cell.border.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.cell.border.style.html")) t]
		    ["table.cell.border.thickness.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.cell.border.thickness.html")) t]
		    ["table.cell.padding.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.cell.padding.html")) t]
		    ["table.entry.padding.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.entry.padding.html")) t]
		    ["table.footnote.number.format.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.footnote.number.format.html")) t]
		    ["table.footnote.number.symbols.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.footnote.number.symbols.html")) t]
		    ["table.frame.border.color.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.frame.border.color.html")) t]
		    ["table.frame.border.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.frame.border.style.html")) t]
		    ["table.frame.border.thickness.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.frame.border.thickness.html")) t]
		    ["table.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.html")) t]
		    ["table.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/table.properties.html")) t]
		    ["tablecolumns.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/tablecolumns.extension.html")) t]
		    ["target.database.document.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/target.database.document.html")) t]
		    ["tex.math.delims.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/tex.math.delims.html")) t]
		    ["tex.math.in.alt.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/tex.math.in.alt.html")) t]
		    ["textinsert.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/textinsert.extension.html")) t]
		    ["title.font.family.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/title.font.family.html")) t]
		    ["title.margin.left.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/title.margin.left.html")) t]
		    ["toc.indent.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/toc.indent.width.html")) t]
		    ["toc.margin.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/toc.margin.properties.html")) t]
		    ["toc.section.depth.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/toc.section.depth.html")) t]
		    ["ulink.footnote.number.format.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ulink.footnote.number.format.html")) t]
		    ["ulink.footnotes.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ulink.footnotes.html")) t]
		    ["ulink.hyphenate.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ulink.hyphenate.html")) t]
		    ["ulink.show.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/ulink.show.html")) t]
		    ["use.extensions.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/use.extensions.html")) t]
		    ["use.local.olink.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/use.local.olink.style.html")) t]
		    ["use.role.as.xrefstyle.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/use.role.as.xrefstyle.html")) t]
		    ["use.role.for.mediaobject.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/use.role.for.mediaobject.html")) t]
		    ["use.svg.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/use.svg.html")) t]
		    ["variablelist.as.blocks.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/variablelist.as.blocks.html")) t]
		    ["variablelist.max.termlength.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/variablelist.max.termlength.html")) t]
		    ["verbatim.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/verbatim.properties.html")) t]
		    ["xep.extensions.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/xep.extensions.html")) t]
		    ["xep.index.item.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/xep.index.item.properties.html")) t]
		    ["xref.label-page.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/xref.label-page.separator.html")) t]
		    ["xref.label-title.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/xref.label-title.separator.html")) t]
		    ["xref.properties.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/xref.properties.html")) t]
		    ["xref.title-page.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/xref.title-page.separator.html")) t]
		    ["xref.with.number.and.title.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/fo/xref.with.number.and.title.html")) t]
		    )
	      (list "html"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/doc/html/ChangeLog")) t]
		    ["admon.graphics.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/admon.graphics.extension.html")) t]
		    ["admon.graphics.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/admon.graphics.html")) t]
		    ["admon.graphics.path.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/admon.graphics.path.html")) t]
		    ["admon.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/admon.style.html")) t]
		    ["admon.textlabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/admon.textlabel.html")) t]
		    ["annotate.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/annotate.toc.html")) t]
		    ["apa.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/apa.html")) t]
		    ["appendix.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/appendix.autolabel.html")) t]
		    ["author.othername.in.middle.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/author.othername.in.middle.html")) t]
		    ["autotoc.label.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/autotoc.label.separator.html")) t]
		    ["base.dir.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/base.dir.html")) t]
		    ["biblioentry.item.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/biblioentry.item.separator.html")) t]
		    ["bibliography.collection.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/bibliography.collection.html")) t]
		    ["bibliography.numbered.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/bibliography.numbered.html")) t]
		    ["bridgehead.in.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/bridgehead.in.toc.html")) t]
		    ["callout.defaultcolumn.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callout.defaultcolumn.html")) t]
		    ["callout.graphics.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callout.graphics.extension.html")) t]
		    ["callout.graphics.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callout.graphics.html")) t]
		    ["callout.graphics.number.limit.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callout.graphics.number.limit.html")) t]
		    ["callout.graphics.path.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callout.graphics.path.html")) t]
		    ["callout.list.table.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callout.list.table.html")) t]
		    ["callout.unicode.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callout.unicode.html")) t]
		    ["callout.unicode.number.limit.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callout.unicode.number.limit.html")) t]
		    ["callout.unicode.start.character.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callout.unicode.start.character.html")) t]
		    ["callouts.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/callouts.extension.html")) t]
		    ["chapter.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chapter.autolabel.html")) t]
		    ["chunk.datafile.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunk.datafile.html")) t]
		    ["chunk.first.sections.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunk.first.sections.html")) t]
		    ["chunk.quietly.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunk.quietly.html")) t]
		    ["chunk.section.depth.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunk.section.depth.html")) t]
		    ["chunk.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunk.toc.html")) t]
		    ["chunk.tocs.and.lots.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunk.tocs.and.lots.html")) t]
		    ["chunker.output.cdata-section-elements.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunker.output.cdata-section-elements.html")) t]
		    ["chunker.output.doctype-public.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunker.output.doctype-public.html")) t]
		    ["chunker.output.doctype-system.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunker.output.doctype-system.html")) t]
		    ["chunker.output.encoding.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunker.output.encoding.html")) t]
		    ["chunker.output.indent.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunker.output.indent.html")) t]
		    ["chunker.output.media-type.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunker.output.media-type.html")) t]
		    ["chunker.output.method.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunker.output.method.html")) t]
		    ["chunker.output.omit-xml-declaration.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunker.output.omit-xml-declaration.html")) t]
		    ["chunker.output.standalone.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/chunker.output.standalone.html")) t]
		    ["citerefentry.link.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/citerefentry.link.html")) t]
		    ["collect.xref.targets.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/collect.xref.targets.html")) t]
		    ["css.decoration.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/css.decoration.html")) t]
		    ["current.docid.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/current.docid.html")) t]
		    ["default.encoding.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/default.encoding.html")) t]
		    ["default.float.class.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/default.float.class.html")) t]
		    ["default.image.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/default.image.width.html")) t]
		    ["default.table.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/default.table.width.html")) t]
		    ["draft.mode.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/draft.mode.html")) t]
		    ["draft.watermark.image.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/draft.watermark.image.html")) t]
		    ["ebnf.assignment.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/ebnf.assignment.html")) t]
		    ["ebnf.statement.terminator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/ebnf.statement.terminator.html")) t]
		    ["ebnf.table.bgcolor.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/ebnf.table.bgcolor.html")) t]
		    ["ebnf.table.border.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/ebnf.table.border.html")) t]
		    ["eclipse.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/eclipse.autolabel.html")) t]
		    ["eclipse.plugin.id.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/eclipse.plugin.id.html")) t]
		    ["eclipse.plugin.name.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/eclipse.plugin.name.html")) t]
		    ["eclipse.plugin.provider.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/eclipse.plugin.provider.html")) t]
		    ["emphasis.propagates.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/emphasis.propagates.style.html")) t]
		    ["entry.propagates.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/entry.propagates.style.html")) t]
		    ["firstterm.only.link.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/firstterm.only.link.html")) t]
		    ["footer.rule.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/footer.rule.html")) t]
		    ["footnote.number.format.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/footnote.number.format.html")) t]
		    ["footnote.number.symbols.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/footnote.number.symbols.html")) t]
		    ["formal.procedures.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/formal.procedures.html")) t]
		    ["formal.title.placement.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/formal.title.placement.html")) t]
		    ["funcsynopsis.decoration.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/funcsynopsis.decoration.html")) t]
		    ["funcsynopsis.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/funcsynopsis.style.html")) t]
		    ["funcsynopsis.tabular.threshold.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/funcsynopsis.tabular.threshold.html")) t]
		    ["function.parens.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/function.parens.html")) t]
		    ["generate.appendix.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.appendix.toc.html")) t]
		    ["generate.article.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.article.toc.html")) t]
		    ["generate.book.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.book.toc.html")) t]
		    ["generate.chapter.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.chapter.toc.html")) t]
		    ["generate.component.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.component.toc.html")) t]
		    ["generate.division.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.division.toc.html")) t]
		    ["generate.id.attributes.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.id.attributes.html")) t]
		    ["generate.index.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.index.html")) t]
		    ["generate.legalnotice.link.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.legalnotice.link.html")) t]
		    ["generate.manifest.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.manifest.html")) t]
		    ["generate.meta.abstract.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.meta.abstract.html")) t]
		    ["generate.part.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.part.toc.html")) t]
		    ["generate.preface.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.preface.toc.html")) t]
		    ["generate.qandadiv.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.qandadiv.toc.html")) t]
		    ["generate.qandaset.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.qandaset.toc.html")) t]
		    ["generate.reference.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.reference.toc.html")) t]
		    ["generate.section.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.section.toc.html")) t]
		    ["generate.section.toc.level.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.section.toc.level.html")) t]
		    ["generate.set.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.set.toc.html")) t]
		    ["generate.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/generate.toc.html")) t]
		    ["glossary.collection.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/glossary.collection.html")) t]
		    ["glossentry.show.acronym.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/glossentry.show.acronym.html")) t]
		    ["glossterm.auto.link.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/glossterm.auto.link.html")) t]
		    ["graphic.default.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/graphic.default.extension.html")) t]
		    ["graphicsize.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/graphicsize.extension.html")) t]
		    ["header.rule.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/header.rule.html")) t]
		    ["html.base.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.base.html")) t]
		    ["html.cellpadding.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.cellpadding.html")) t]
		    ["html.cellspacing.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.cellspacing.html")) t]
		    ["html.cleanup.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.cleanup.html")) t]
		    ["html.ext.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.ext.html")) t]
		    ["html.extra.head.links.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.extra.head.links.html")) t]
		    ["html.longdesc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.longdesc.html")) t]
		    ["html.longdesc.link.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.longdesc.link.html")) t]
		    ["html.stylesheet.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.stylesheet.html")) t]
		    ["html.stylesheet.type.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/html.stylesheet.type.html")) t]
		    ["htmlhelp.alias.file.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.alias.file.html")) t]
		    ["htmlhelp.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.autolabel.html")) t]
		    ["htmlhelp.button.back.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.back.html")) t]
		    ["htmlhelp.button.forward.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.forward.html")) t]
		    ["htmlhelp.button.hideshow.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.hideshow.html")) t]
		    ["htmlhelp.button.home.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.home.html")) t]
		    ["htmlhelp.button.home.url.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.home.url.html")) t]
		    ["htmlhelp.button.jump1.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.jump1.html")) t]
		    ["htmlhelp.button.jump1.title.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.jump1.title.html")) t]
		    ["htmlhelp.button.jump1.url.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.jump1.url.html")) t]
		    ["htmlhelp.button.jump2.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.jump2.html")) t]
		    ["htmlhelp.button.jump2.title.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.jump2.title.html")) t]
		    ["htmlhelp.button.jump2.url.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.jump2.url.html")) t]
		    ["htmlhelp.button.locate.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.locate.html")) t]
		    ["htmlhelp.button.next.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.next.html")) t]
		    ["htmlhelp.button.options.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.options.html")) t]
		    ["htmlhelp.button.prev.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.prev.html")) t]
		    ["htmlhelp.button.print.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.print.html")) t]
		    ["htmlhelp.button.refresh.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.refresh.html")) t]
		    ["htmlhelp.button.stop.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.stop.html")) t]
		    ["htmlhelp.button.zoom.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.button.zoom.html")) t]
		    ["htmlhelp.chm.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.chm.html")) t]
		    ["htmlhelp.default.topic.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.default.topic.html")) t]
		    ["htmlhelp.encoding.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.encoding.html")) t]
		    ["htmlhelp.enumerate.images.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.enumerate.images.html")) t]
		    ["htmlhelp.force.map.and.alias.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.force.map.and.alias.html")) t]
		    ["htmlhelp.hhc.binary.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.hhc.binary.html")) t]
		    ["htmlhelp.hhc.folders.instead.books.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.hhc.folders.instead.books.html")) t]
		    ["htmlhelp.hhc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.hhc.html")) t]
		    ["htmlhelp.hhc.section.depth.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.hhc.section.depth.html")) t]
		    ["htmlhelp.hhc.show.root.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.hhc.show.root.html")) t]
		    ["htmlhelp.hhk.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.hhk.html")) t]
		    ["htmlhelp.hhp.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.hhp.html")) t]
		    ["htmlhelp.hhp.tail.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.hhp.tail.html")) t]
		    ["htmlhelp.hhp.window.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.hhp.window.html")) t]
		    ["htmlhelp.map.file.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.map.file.html")) t]
		    ["htmlhelp.only.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.only.html")) t]
		    ["htmlhelp.show.advanced.search.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.show.advanced.search.html")) t]
		    ["htmlhelp.show.favorities.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.show.favorities.html")) t]
		    ["htmlhelp.show.menu.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.show.menu.html")) t]
		    ["htmlhelp.title.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.title.html")) t]
		    ["htmlhelp.use.hhk.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/htmlhelp.use.hhk.html")) t]
		    ["ignore.image.scaling.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/ignore.image.scaling.html")) t]
		    ["index.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/index.html")) t]
		    ["inherit.keywords.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/inherit.keywords.html")) t]
		    ["insert.xref.page.number.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/insert.xref.page.number.html")) t]
		    ["l10n.gentext.default.language.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/l10n.gentext.default.language.html")) t]
		    ["l10n.gentext.language.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/l10n.gentext.language.html")) t]
		    ["l10n.gentext.use.xref.language.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/l10n.gentext.use.xref.language.html")) t]
		    ["label.from.part.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/label.from.part.html")) t]
		    ["linenumbering.everyNth.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/linenumbering.everyNth.html")) t]
		    ["linenumbering.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/linenumbering.extension.html")) t]
		    ["linenumbering.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/linenumbering.separator.html")) t]
		    ["linenumbering.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/linenumbering.width.html")) t]
		    ["link.mailto.url.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/link.mailto.url.html")) t]
		    ["make.graphic.viewport.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/make.graphic.viewport.html")) t]
		    ["make.single.year.ranges.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/make.single.year.ranges.html")) t]
		    ["make.valid.html.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/make.valid.html.html")) t]
		    ["make.year.ranges.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/make.year.ranges.html")) t]
		    ["manifest.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/manifest.html")) t]
		    ["manifest.in.base.dir.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/manifest.in.base.dir.html")) t]
		    ["manual.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/manual.toc.html")) t]
		    ["menuchoice.menu.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/menuchoice.menu.separator.html")) t]
		    ["menuchoice.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/menuchoice.separator.html")) t]
		    ["navig.graphics.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/navig.graphics.extension.html")) t]
		    ["navig.graphics.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/navig.graphics.html")) t]
		    ["navig.graphics.path.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/navig.graphics.path.html")) t]
		    ["navig.showtitles.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/navig.showtitles.html")) t]
		    ["nominal.image.depth.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/nominal.image.depth.html")) t]
		    ["nominal.image.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/nominal.image.width.html")) t]
		    ["nominal.table.width.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/nominal.table.width.html")) t]
		    ["olink.base.uri.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/olink.base.uri.html")) t]
		    ["olink.doctitle.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/olink.doctitle.html")) t]
		    ["olink.fragid.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/olink.fragid.html")) t]
		    ["olink.outline.ext.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/olink.outline.ext.html")) t]
		    ["olink.pubid.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/olink.pubid.html")) t]
		    ["olink.resolver.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/olink.resolver.html")) t]
		    ["olink.sysid.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/olink.sysid.html")) t]
		    ["output.method.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/output.method.html")) t]
		    ["para.propagates.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/para.propagates.style.html")) t]
		    ["part.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/part.autolabel.html")) t]
		    ["phrase.propagates.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/phrase.propagates.style.html")) t]
		    ["pixels.per.inch.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/pixels.per.inch.html")) t]
		    ["points.per.em.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/points.per.em.html")) t]
		    ["pr01.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/pr01.html")) t]
		    ["preface.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/preface.autolabel.html")) t]
		    ["preferred.mediaobject.role.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/preferred.mediaobject.role.html")) t]
		    ["process.empty.source.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/process.empty.source.toc.html")) t]
		    ["process.source.toc.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/process.source.toc.html")) t]
		    ["profile.arch.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.arch.html")) t]
		    ["profile.attribute.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.attribute.html")) t]
		    ["profile.condition.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.condition.html")) t]
		    ["profile.conformance.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.conformance.html")) t]
		    ["profile.lang.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.lang.html")) t]
		    ["profile.os.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.os.html")) t]
		    ["profile.revision.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.revision.html")) t]
		    ["profile.revisionflag.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.revisionflag.html")) t]
		    ["profile.role.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.role.html")) t]
		    ["profile.security.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.security.html")) t]
		    ["profile.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.separator.html")) t]
		    ["profile.userlevel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.userlevel.html")) t]
		    ["profile.value.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.value.html")) t]
		    ["profile.vendor.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/profile.vendor.html")) t]
		    ["punct.honorific.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/punct.honorific.html")) t]
		    ["qanda.defaultlabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/qanda.defaultlabel.html")) t]
		    ["qanda.inherit.numeration.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/qanda.inherit.numeration.html")) t]
		    ["qandadiv.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/qandadiv.autolabel.html")) t]
		    ["refentry.generate.name.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/refentry.generate.name.html")) t]
		    ["refentry.generate.title.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/refentry.generate.title.html")) t]
		    ["refentry.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/refentry.separator.html")) t]
		    ["refentry.xref.manvolnum.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/refentry.xref.manvolnum.html")) t]
		    ["rn01.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn01.html")) t]
		    ["rn02.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn02.html")) t]
		    ["rn03.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn03.html")) t]
		    ["rn04.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn04.html")) t]
		    ["rn05.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn05.html")) t]
		    ["rn06.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn06.html")) t]
		    ["rn07.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn07.html")) t]
		    ["rn08.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn08.html")) t]
		    ["rn09.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn09.html")) t]
		    ["rn10.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn10.html")) t]
		    ["rn11.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn11.html")) t]
		    ["rn12.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn12.html")) t]
		    ["rn13.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn13.html")) t]
		    ["rn14.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn14.html")) t]
		    ["rn15.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn15.html")) t]
		    ["rn16.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn16.html")) t]
		    ["rn17.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn17.html")) t]
		    ["rn18.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn18.html")) t]
		    ["rn19.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn19.html")) t]
		    ["rn20.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn20.html")) t]
		    ["rn21.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn21.html")) t]
		    ["rn22.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rn22.html")) t]
		    ["root.filename.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/root.filename.html")) t]
		    ["rootid.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/rootid.html")) t]
		    ["runinhead.default.title.end.punct.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/runinhead.default.title.end.punct.html")) t]
		    ["runinhead.title.end.punct.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/runinhead.title.end.punct.html")) t]
		    ["saxon.character.representation.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/saxon.character.representation.html")) t]
		    ["section.autolabel.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/section.autolabel.html")) t]
		    ["section.label.includes.component.label.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/section.label.includes.component.label.html")) t]
		    ["segmentedlist.as.table.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/segmentedlist.as.table.html")) t]
		    ["shade.verbatim.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/shade.verbatim.html")) t]
		    ["shade.verbatim.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/shade.verbatim.style.html")) t]
		    ["show.comments.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/show.comments.html")) t]
		    ["show.revisionflag.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/show.revisionflag.html")) t]
		    ["spacing.paras.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/spacing.paras.html")) t]
		    ["stylesheet.result.type.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/stylesheet.result.type.html")) t]
		    ["suppress.footer.navigation.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/suppress.footer.navigation.html")) t]
		    ["suppress.header.navigation.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/suppress.header.navigation.html")) t]
		    ["suppress.navigation.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/suppress.navigation.html")) t]
		    ["table.border.color.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.border.color.html")) t]
		    ["table.border.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.border.style.html")) t]
		    ["table.border.thickness.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.border.thickness.html")) t]
		    ["table.borders.with.css.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.borders.with.css.html")) t]
		    ["table.cell.border.color.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.cell.border.color.html")) t]
		    ["table.cell.border.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.cell.border.style.html")) t]
		    ["table.cell.border.thickness.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.cell.border.thickness.html")) t]
		    ["table.footnote.number.format.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.footnote.number.format.html")) t]
		    ["table.footnote.number.symbols.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.footnote.number.symbols.html")) t]
		    ["table.frame.border.color.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.frame.border.color.html")) t]
		    ["table.frame.border.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.frame.border.style.html")) t]
		    ["table.frame.border.thickness.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/table.frame.border.thickness.html")) t]
		    ["tablecolumns.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/tablecolumns.extension.html")) t]
		    ["target.database.document.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/target.database.document.html")) t]
		    ["targets.filename.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/targets.filename.html")) t]
		    ["tex.math.delims.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/tex.math.delims.html")) t]
		    ["tex.math.file.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/tex.math.file.html")) t]
		    ["tex.math.in.alt.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/tex.math.in.alt.html")) t]
		    ["textinsert.extension.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/textinsert.extension.html")) t]
		    ["toc.list.type.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/toc.list.type.html")) t]
		    ["toc.max.depth.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/toc.max.depth.html")) t]
		    ["toc.section.depth.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/toc.section.depth.html")) t]
		    ["ulink.target.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/ulink.target.html")) t]
		    ["use.embed.for.svg.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/use.embed.for.svg.html")) t]
		    ["use.extensions.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/use.extensions.html")) t]
		    ["use.id.as.filename.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/use.id.as.filename.html")) t]
		    ["use.local.olink.style.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/use.local.olink.style.html")) t]
		    ["use.role.as.xrefstyle.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/use.role.as.xrefstyle.html")) t]
		    ["use.role.for.mediaobject.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/use.role.for.mediaobject.html")) t]
		    ["use.svg.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/use.svg.html")) t]
		    ["using.chunker.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/using.chunker.html")) t]
		    ["variablelist.as.table.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/variablelist.as.table.html")) t]
		    ["xref.label-page.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/xref.label-page.separator.html")) t]
		    ["xref.label-title.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/xref.label-title.separator.html")) t]
		    ["xref.title-page.separator.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/xref.title-page.separator.html")) t]
		    ["xref.with.number.and.title.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/html/xref.with.number.and.title.html")) t]
		    )
	      (list "lib"
		    ["ChangeLog" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/lib/ChangeLog")) t]
		    ["lib.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/lib/lib.html")) t]
		    )
	      (list "pi"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/doc/pi/ChangeLog")) t]
		    ["dbhtml.dir.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/pi/dbhtml.dir.html")) t]
		    ["dbhtml.filename.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/pi/dbhtml.filename.html")) t]
		    ["index.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/pi/index.html")) t]
		    ["pr01.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/pi/pr01.html")) t]
		    ["rn01.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/pi/rn01.html")) t]
		    ["rn02.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/pi/rn02.html")) t]
		    ["rn02re03.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/pi/rn02re03.html")) t]
		    )
	      (list "template"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/doc/template/ChangeLog")) t]
		    ["titlepage.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/template/titlepage.html")) t]
		    )
	      (list "tools"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/doc/tools/ChangeLog")) t]
		    ["profile-chain.png" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/tools/profile-chain.png")) t]
		    ["profiling.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/tools/profiling.html")) t]
		    )
	      ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/doc/ChangeLog")) t]
	      ["book.xsl" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/book.xsl")) t]
	      ["ch01s02.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ch01s02.html")) t]
	      ["ch01s03.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ch01s03.html")) t]
	      ["ch01s04.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ch01s04.html")) t]
	      ["ch02s02.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ch02s02.html")) t]
	      ["ch03.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ch03.html")) t]
	      ["ch04.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ch04.html")) t]
	      ["ch05.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ch05.html")) t]
	      ["ch06s02.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ch06s02.html")) t]
	      ["ch06s03.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ch06s03.html")) t]
	      ["copyright.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/copyright.html")) t]
	      ["extensions.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/extensions.html")) t]
	      ["extensions.html.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/extensions.html.html")) t]
	      ["htmlhelp.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/htmlhelp.html")) t]
	      ["htmlhelp.html.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/htmlhelp.html.html")) t]
	      ["index.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/index.html")) t]
	      ["jrefhtml.xsl" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/jrefhtml.xsl")) t]
	      ["pr01.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/pr01.html")) t]
	      ["publishing.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/publishing.html")) t]
	      ["publishing.html.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/publishing.html.html")) t]
	      ["ref.css" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/ref.css")) t]
	      ["reference.css" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/reference.css")) t]
	      ["reference.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/reference.html")) t]
	      ["reference.xsl" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/reference.xsl")) t]
	      ["warranty.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/doc/warranty.html")) t]
	      )
	(list "docsrc"
	      (list "common"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/common/ChangeLog")) t]
		    ["common.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/common/common.xml")) t]
		    )
	      (list "fo"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/fo/ChangeLog")) t]
		    ["param.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/fo/param.xml")) t]
		    ["table.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/fo/table.xml")) t]
		    )
	      (list "html"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/html/ChangeLog")) t]
		    ["param.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/html/param.xml")) t]
		    )
	      (list "pi"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/pi/ChangeLog")) t]
		    ["pi.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/pi/pi.xml")) t]
		    )
	      (list "template"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/template/ChangeLog")) t]
		    ["titlepage.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/template/titlepage.xml")) t]
		    )
	      (list "tools"
		    ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/tools/ChangeLog")) t]
		    ["profile-chain.png" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/tools/profile-chain.png")) t]
		    ["profiling.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/tools/profiling.xml")) t]
		    )
	      ["ChangeLog" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/ChangeLog")) t]
	      ["clrefentry.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/clrefentry.xsl")) t]
	      ["copyright.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/copyright.xml")) t]
	      ["doc-link-docbook.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/doc-link-docbook.xsl")) t]
	      ["docbook-elements.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/docbook-elements.xsl")) t]
	      ["documentation.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/documentation.xml")) t]
	      ["extensions.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/extensions.xml")) t]
	      ["htmlhelp.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/htmlhelp.xml")) t]
	      ["jrefhtml.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/jrefhtml.xsl")) t]
	      ["legalnotice.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/legalnotice.xml")) t]
	      ["lrefentry.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/lrefentry.xsl")) t]
	      ["make-xsl-params.pl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/make-xsl-params.pl")) t]
	      ["pirefentry.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/pirefentry.xsl")) t]
	      ["publishing.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/publishing.xml")) t]
	      ["reference.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/reference.xml")) t]
	      ["tdg-link.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/tdg-link.xsl")) t]
	      ["template-example.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/template-example.xml")) t]
	      ["template-example.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/template-example.xsl")) t]
	      ["templates.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/templates.xml")) t]
	      ["warranty.xml" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/warranty.xml")) t]
	      ["xsl-param-link.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/xsl-param-link.xsl")) t]
	      ["xsl-params.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/xsl-params.xsl")) t]
	      ["xsl2jref.xsl" (find-file (concat docbook-menu-xsl-docs-dir "/docsrc/xsl2jref.xsl")) t]
	      )
	["BUGS" (find-file (concat docbook-menu-xsl-docs-dir "/BUGS")) t]
	["README" (find-file (concat docbook-menu-xsl-docs-dir "/README")) t]
	["RELEASE-NOTES.html" (browse-url (concat "file:///" docbook-menu-xsl-docs-dir "/RELEASE-NOTES.html")) t]
	["TODO" (find-file (concat docbook-menu-xsl-docs-dir "/TODO")) t]
	["WhatsNew" (find-file (concat docbook-menu-xsl-docs-dir "/WhatsNew")) t]
	)
  "DocBook XSLT stylesheet docs submenu for 'docbook-menu'."
  )
